Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi.impl
Class TInstanceInfoImpl

    java.lang.Object
      org.apache.xmlbeans.impl.values.XmlObjectBase
          org.apache.xmlbeans.impl.values.XmlComplexContentImpl
              org.apache.ode.bpel.pmapi.impl.TInstanceInfoImpl

All Implemented Interfaces:
  java.io.Serializable, TInstanceInfo, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

    public class TInstanceInfoImpl

extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
implements TInstanceInfo

An XML tInstanceInfo(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `TInstanceInfoImpl.CorrelationPropertiesImpl` An XML correlation-properties(@http://www.apache.org/ode/pmapi/types/2006/08/02/).
`static class` | `TInstanceInfoImpl.EventInfoImpl` An XML event-info(@http://www.apache.org/ode/pmapi/types/2006/08/02/).

Nested classes/interfaces inherited from interface org.apache.ode.bpel.pmapi.TInstanceInfo
`TInstanceInfo.CorrelationProperties, TInstanceInfo.EventInfo, TInstanceInfo.Factory`

Field Summary

Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_voorVc, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

Fields inherited from interface org.apache.ode.bpel.pmapi.TInstanceInfo
`type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Constructor Summary
`TInstanceInfoImpl(org.apache.xmlbeans.SchemaType sType)`

Method Summary
`TInstanceInfo.CorrelationProperties` | `addNewCorrelationProperties()` Appends and returns a new empty "correlation-properties" element
`TInstanceInfo.EventInfo` | `addNewEventInfo()` Appends and returns a new empty "event-info" element
`TFailuresInfo` | `addNewFailures()` Appends and returns a new empty "failures" element
`TFaultInfo` | `addNewFaultInfo()` Appends and returns a new empty "fault-info" element
`TScopeRef` | `addNewRootScope()` Appends and returns a new empty "root-scope" element
`TInstanceInfo.CorrelationProperties` | `getCorrelationProperties()` Gets the "correlation-properties" element
`java.util.Calendar` | `getDtErrorSince()` Gets the "dt-error-since" element
`java.util.Calendar` | `getDtLastActive()` Gets the "dt-last-active" element
`java.util.Calendar` | `getDtStarted()` Gets the "dt-started" element
`TInstanceInfo.EventInfo` | `getEventInfo()` Gets the "event-info" element
`TFailuresInfo` | `getFailures()` Gets the "failures" element
`TFaultInfo` | `getFaultInfo()` Gets the "fault-info" element
`java.lang.String` | `getIid()` Gets the "iid" element
`java.lang.String` | `getMyElement()` Gets the "myElement" element
`java.lang.String` | `getPid()` Gets the "pid" element
`javax.xml.namespace.QName` | `getProcessName()` Gets the "process-name" element
`TScopeRef` | `getRootScope()` Gets the "root-scope" element
`TInstanceStatus.Enum` | `getStatus()` Gets the "status" element
`boolean` | `isSetCorrelationProperties()` True if has "correlation-properties" element
`boolean` | `isSetDtErrorSince()` True if has "dt-error-since" element
`boolean` | `isSetEventInfo()` True if has "event-info" element
`boolean` | `isSetFailures()` True if has "failures" element
`boolean` | `isSetFaultInfo()` True if has "fault-info" element
`boolean` | `isSetRootScope()` True if has "root-scope" element
`void` | `setCorrelationProperties(TInstanceInfo.CorrelationProperties correlationProperties)` Sets the "correlation-properties" element
`void` | `setDtErrorSince(java.util.Calendar dtErrorSince)` Sets the "dt-error-since" element
`void` | `setDtLastActive(java.util.Calendar dtLastActive)` Sets the "dt-last-active" element
`void` | `setDtStarted(java.util.Calendar dtStarted)` Sets the "dt-started" element
`void` | `setEventInfo(TInstanceInfo.EventInfo eventInfo)` Sets the "event-info" element
`void` | `setFailures(TFailuresInfo failures)` Sets the "failures" element
`void` | `setFaultInfo(TFaultInfo faultInfo)` Sets the "fault-info" element
`void` | `setIid(java.lang.String iid)` Sets the "iid" element
`void` | `setMyElement(java.lang.String myElement)` Sets the "myElement" element
`void` | `setPid(java.lang.String pid)` Sets the "pid" element
`void` | `setProcessName(javax.xml.namespace.QName processName)` Sets the "process-name" element
`void` | `setRootScope(TScopeRef rootScope)` Sets the "root-scope" element
`void` | `setStatus(TInstanceStatus.Enum status)` Sets the "status" element
`void` | `unsetCorrelationProperties()` Unsets the "correlation-properties" element
`void` | `unsetDtErrorSince()` Unsets the "dt-error-since" element
`void` | `unsetEventInfo()` Unsets the "event-info" element
`void` | `unsetFailures()` Unsets the "failures" element
`void` | `unsetFaultInfo()` Unsets the "fault-info" element
`void` | `unsetRootScope()` Unsets the "root-scope" element
`org.apache.xmlbeans.XmlDateTime` | `xgetDtErrorSince()` Gets (as xml) the "dt-error-since" element
`org.apache.xmlbeans.XmlDateTime` | `xgetDtLastActive()` Gets (as xml) the "dt-last-active" element
`org.apache.xmlbeans.XmlDateTime` | `xgetDtStarted()` Gets (as xml) the "dt-started" element
`org.apache.xmlbeans.XmlString` | `xgetIid()` Gets (as xml) the "iid" element
`org.apache.xmlbeans.XmlString` | `xgetMyElement()` Gets (as xml) the "myElement" element
`org.apache.xmlbeans.XmlString` | `xgetPid()` Gets (as xml) the "pid" element
`org.apache.xmlbeans.XmlQName` | `xgetProcessName()` Gets (as xml) the "process-name" element
`TInstanceStatus` | `xgetStatus()` Gets (as xml) the "status" element
`void` | `xsetDtErrorSince(org.apache.xmlbeans.XmlDateTime dtErrorSince)` Sets (as xml) the "dt-error-since" element
`void` | `xsetDtLastActive(org.apache.xmlbeans.XmlDateTime dtLastActive)` Sets (as xml) the "dt-last-active" element
`void` | `xsetDtStarted(org.apache.xmlbeans.XmlDateTime dtStarted)` Sets (as xml) the "dt-started" element
`void` | `xsetIid(org.apache.xmlbeans.XmlString iid)` Sets (as xml) the "iid" element
`void` | `xsetMyElement(org.apache.xmlbeans.XmlString myElement)` Sets (as xml) the "myElement" element
`void` | `xsetPid(org.apache.xmlbeans.XmlString pid)` Sets (as xml) the "pid" element
`void` | `xsetProcessName(org.apache.xmlbeans.XmlQName processName)` Sets (as xml) the "process-name" element
`void` | `xsetStatus(TInstanceStatus status)` Sets (as xml) the "status" element

Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl
`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_isComplexContent, _isComplexType, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Constructor Detail

### TInstanceInfoImpl

    public TInstanceInfoImpl(org.apache.xmlbeans.SchemaType sType)

Method Detail

### getIid

    public java.lang.String getIid()

  Gets the "iid" element

  Specified by:
    `getIid` in interface `TInstanceInfo`

### xgetIid

    public org.apache.xmlbeans.XmlString xgetIid()

  Gets (as xml) the "iid" element

  Specified by:
    `xgetIid` in interface `TInstanceInfo`

### setIid

    public void setIid(java.lang.String iid)

  Sets the "iid" element

  Specified by:
    `setIid` in interface `TInstanceInfo`

### xsetIid

    public void xsetIid(org.apache.xmlbeans.XmlString iid)

  Sets (as xml) the "iid" element

  Specified by:
    `xsetIid` in interface `TInstanceInfo`

### getPid

    public java.lang.String getPid()

  Gets the "pid" element

  Specified by:
    `getPid` in interface `TInstanceInfo`

### xgetPid

    public org.apache.xmlbeans.XmlString xgetPid()

  Gets (as xml) the "pid" element

  Specified by:
    `xgetPid` in interface `TInstanceInfo`

### setPid

    public void setPid(java.lang.String pid)

  Sets the "pid" element

  Specified by:
    `setPid` in interface `TInstanceInfo`

### xsetPid

    public void xsetPid(org.apache.xmlbeans.XmlString pid)

  Sets (as xml) the "pid" element

  Specified by:
    `xsetPid` in interface `TInstanceInfo`

### getProcessName

    public javax.xml.namespace.QName getProcessName()

  Gets the "process-name" element

  Specified by:
    `getProcessName` in interface `TInstanceInfo`

### xgetProcessName

    public org.apache.xmlbeans.XmlQName xgetProcessName()

  Gets (as xml) the "process-name" element

  Specified by:
    `xgetProcessName` in interface `TInstanceInfo`

### setProcessName

    public void setProcessName(javax.xml.namespace.QName processName)

  Sets the "process-name" element

  Specified by:
    `setProcessName` in interface `TInstanceInfo`

### xsetProcessName

    public void xsetProcessName(org.apache.xmlbeans.XmlQName processName)

  Sets (as xml) the "process-name" element

  Specified by:
    `xsetProcessName` in interface `TInstanceInfo`

### getRootScope

    public TScopeRef getRootScope()

  Gets the "root-scope" element

  Specified by:
    `getRootScope` in interface `TInstanceInfo`

### isSetRootScope

    public boolean isSetRootScope()

  True if has "root-scope" element

  Specified by:
    `isSetRootScope` in interface `TInstanceInfo`

### setRootScope

    public void setRootScope(TScopeRef rootScope)

  Sets the "root-scope" element

  Specified by:
    `setRootScope` in interface `TInstanceInfo`

### addNewRootScope

    public TScopeRef addNewRootScope()

  Appends and returns a new empty "root-scope" element

  Specified by:
    `addNewRootScope` in interface `TInstanceInfo`

### unsetRootScope

    public void unsetRootScope()

  Unsets the "root-scope" element

  Specified by:
    `unsetRootScope` in interface `TInstanceInfo`

### getStatus

    public TInstanceStatus.Enum getStatus()

  Gets the "status" element

  Specified by:
    `getStatus` in interface `TInstanceInfo`

### xgetStatus

    public TInstanceStatus xgetStatus()

  Gets (as xml) the "status" element

  Specified by:
    `xgetStatus` in interface `TInstanceInfo`

### setStatus

    public void setStatus(TInstanceStatus.Enum status)

  Sets the "status" element

  Specified by:
    `setStatus` in interface `TInstanceInfo`

### xsetStatus

    public void xsetStatus(TInstanceStatus status)

  Sets (as xml) the "status" element

  Specified by:
    `xsetStatus` in interface `TInstanceInfo`

### getDtStarted

    public java.util.Calendar getDtStarted()

  Gets the "dt-started" element

  Specified by:
    `getDtStarted` in interface `TInstanceInfo`

### xgetDtStarted

    public org.apache.xmlbeans.XmlDateTime xgetDtStarted()

  Gets (as xml) the "dt-started" element

  Specified by:
    `xgetDtStarted` in interface `TInstanceInfo`

### setDtStarted

    public void setDtStarted(java.util.Calendar dtStarted)

  Sets the "dt-started" element

  Specified by:
    `setDtStarted` in interface `TInstanceInfo`

### xsetDtStarted

    public void xsetDtStarted(org.apache.xmlbeans.XmlDateTime dtStarted)

  Sets (as xml) the "dt-started" element

  Specified by:
    `xsetDtStarted` in interface `TInstanceInfo`

### getDtLastActive

    public java.util.Calendar getDtLastActive()

  Gets the "dt-last-active" element

  Specified by:
    `getDtLastActive` in interface `TInstanceInfo`

### xgetDtLastActive

    public org.apache.xmlbeans.XmlDateTime xgetDtLastActive()

  Gets (as xml) the "dt-last-active" element

  Specified by:
    `xgetDtLastActive` in interface `TInstanceInfo`

### setDtLastActive

    public void setDtLastActive(java.util.Calendar dtLastActive)

  Sets the "dt-last-active" element

  Specified by:
    `setDtLastActive` in interface `TInstanceInfo`

### xsetDtLastActive

    public void xsetDtLastActive(org.apache.xmlbeans.XmlDateTime dtLastActive)

  Sets (as xml) the "dt-last-active" element

  Specified by:
    `xsetDtLastActive` in interface `TInstanceInfo`

### getDtErrorSince

    public java.util.Calendar getDtErrorSince()

  Gets the "dt-error-since" element

  Specified by:
    `getDtErrorSince` in interface `TInstanceInfo`

### xgetDtErrorSince

    public org.apache.xmlbeans.XmlDateTime xgetDtErrorSince()

  Gets (as xml) the "dt-error-since" element

  Specified by:
    `xgetDtErrorSince` in interface `TInstanceInfo`

### isSetDtErrorSince

    public boolean isSetDtErrorSince()

  True if has "dt-error-since" element

  Specified by:
    `isSetDtErrorSince` in interface `TInstanceInfo`

### setDtErrorSince

    public void setDtErrorSince(java.util.Calendar dtErrorSince)

  Sets the "dt-error-since" element

  Specified by:
    `setDtErrorSince` in interface `TInstanceInfo`

### xsetDtErrorSince

    public void xsetDtErrorSince(org.apache.xmlbeans.XmlDateTime dtErrorSince)

  Sets (as xml) the "dt-error-since" element

  Specified by:
    `xsetDtErrorSince` in interface `TInstanceInfo`

### unsetDtErrorSince

    public void unsetDtErrorSince()

  Unsets the "dt-error-since" element

  Specified by:
    `unsetDtErrorSince` in interface `TInstanceInfo`

### getCorrelationProperties

    public TInstanceInfo.CorrelationProperties getCorrelationProperties()

  Gets the "correlation-properties" element

  Specified by:
    `getCorrelationProperties` in interface `TInstanceInfo`

### isSetCorrelationProperties

    public boolean isSetCorrelationProperties()

  True if has "correlation-properties" element

  Specified by:
    `isSetCorrelationProperties` in interface `TInstanceInfo`

### setCorrelationProperties

    public void setCorrelationProperties(TInstanceInfo.CorrelationProperties correlationProperties)

  Sets the "correlation-properties" element

  Specified by:
    `setCorrelationProperties` in interface `TInstanceInfo`

### addNewCorrelationProperties

    public TInstanceInfo.CorrelationProperties addNewCorrelationProperties()

  Appends and returns a new empty "correlation-properties" element

  Specified by:
    `addNewCorrelationProperties` in interface `TInstanceInfo`

### unsetCorrelationProperties

    public void unsetCorrelationProperties()

  Unsets the "correlation-properties" element

  Specified by:
    `unsetCorrelationProperties` in interface `TInstanceInfo`

### getEventInfo

    public TInstanceInfo.EventInfo getEventInfo()

  Gets the "event-info" element

  Specified by:
    `getEventInfo` in interface `TInstanceInfo`

### isSetEventInfo

    public boolean isSetEventInfo()

  True if has "event-info" element

  Specified by:
    `isSetEventInfo` in interface `TInstanceInfo`

### setEventInfo

    public void setEventInfo(TInstanceInfo.EventInfo eventInfo)

  Sets the "event-info" element

  Specified by:
    `setEventInfo` in interface `TInstanceInfo`

### addNewEventInfo

    public TInstanceInfo.EventInfo addNewEventInfo()

  Appends and returns a new empty "event-info" element

  Specified by:
    `addNewEventInfo` in interface `TInstanceInfo`

### unsetEventInfo

    public void unsetEventInfo()

  Unsets the "event-info" element

  Specified by:
    `unsetEventInfo` in interface `TInstanceInfo`

### getFaultInfo

    public TFaultInfo getFaultInfo()

  Gets the "fault-info" element

  Specified by:
    `getFaultInfo` in interface `TInstanceInfo`

### isSetFaultInfo

    public boolean isSetFaultInfo()

  True if has "fault-info" element

  Specified by:
    `isSetFaultInfo` in interface `TInstanceInfo`

### setFaultInfo

    public void setFaultInfo(TFaultInfo faultInfo)

  Sets the "fault-info" element

  Specified by:
    `setFaultInfo` in interface `TInstanceInfo`

### addNewFaultInfo

    public TFaultInfo addNewFaultInfo()

  Appends and returns a new empty "fault-info" element

  Specified by:
    `addNewFaultInfo` in interface `TInstanceInfo`

### unsetFaultInfo

    public void unsetFaultInfo()

  Unsets the "fault-info" element

  Specified by:
    `unsetFaultInfo` in interface `TInstanceInfo`

### getFailures

    public TFailuresInfo getFailures()

  Gets the "failures" element

  Specified by:
    `getFailures` in interface `TInstanceInfo`

### isSetFailures

    public boolean isSetFailures()

  True if has "failures" element

  Specified by:
    `isSetFailures` in interface `TInstanceInfo`

### setFailures

    public void setFailures(TFailuresInfo failures)

  Sets the "failures" element

  Specified by:
    `setFailures` in interface `TInstanceInfo`

### addNewFailures

    public TFailuresInfo addNewFailures()

  Appends and returns a new empty "failures" element

  Specified by:
    `addNewFailures` in interface `TInstanceInfo`

### unsetFailures

    public void unsetFailures()

  Unsets the "failures" element

  Specified by:
    `unsetFailures` in interface `TInstanceInfo`

### getMyElement

    public java.lang.String getMyElement()

  Gets the "myElement" element

  Specified by:
    `getMyElement` in interface `TInstanceInfo`

### xgetMyElement

    public org.apache.xmlbeans.XmlString xgetMyElement()

  Gets (as xml) the "myElement" element

  Specified by:
    `xgetMyElement` in interface `TInstanceInfo`

### setMyElement

    public void setMyElement(java.lang.String myElement)

  Sets the "myElement" element

  Specified by:
    `setMyElement` in interface `TInstanceInfo`

### xsetMyElement

    public void xsetMyElement(org.apache.xmlbeans.XmlString myElement)

  Sets (as xml) the "myElement" element

  Specified by:
    `xsetMyElement` in interface `TInstanceInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD